VLC startet nicht. Speicherzugriffsfehler

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

Hinweis: In dem Thema VLC startet nicht. Speicherzugriffsfehler gibt es 14 Antworten auf 2 Seiten. Der letzte Beitrag () befindet sich auf der letzten Seite.
  • VLC startet nicht. Speicherzugriffsfehler

    Hallo liebe Community,

    mein VLC Media Player lässt sich nicht mehr starten. Wenn ich versuche VLC über die Konsole zu starten kommt:

    Quellcode

    1. VLC media player 1.1.11 The Luggage (revision exported)
    2. Speicherzugriffsfehler


    Hoffe mir kann jemand helfen. :)
    Freundliche Grüße
    Janoffel

    Für den Inhalt des Beitrages 33682 haftet ausdrücklich der jeweilige Autor: Janoffel

  • uname -a

    Quellcode

    1. Linux jan-desktop 2.6.37.6-0.7-desktop #1 SMP PREEMPT 2011-07-21 02:17:24 +0200 i686 i686 i386 GNU/Linux


    zypper se -si vlc

    Brainfuck-Quellcode

    1. Repository 'KDE:KDE3' ist veraltet. Sie können 'zypper refresh' als Root ausführen, um es zu aktualisieren.
    2. Repository 'Packman Repository' ist veraltet. Sie können 'zypper refresh' als Root ausführen, um es zu aktualisieren.
    3. Daten des Repositorys laden ...
    4. Installierte Pakete lesen ...
    5. S | Name | Typ | Version | Arch | Repository
    6. --+-------------+-------+-------------+------+----------------
    7. i | libvlc5 | Paket | 1.1.11-3.10 | i586 | 11.4 - VideoLan
    8. i | libvlccore4 | Paket | 1.1.11-3.10 | i586 | 11.4 - VideoLan
    9. i | vlc | Paket | 1.1.11-3.10 | i586 | 11.4 - VideoLan
    10. i | vlc-noX | Paket | 1.1.11-3.10 | i586 | 11.4 - VideoLan
    11. i | vlc-qt | Paket | 1.1.11-3.10 | i586 | 11.4 - VideoLan
    Alles anzeigen




    zypper lr -d

    Brainfuck-Quellcode

    1. # | Alias | Name | Aktiviert | Aktualisieren | Priorität | Typ | URI | Dienst
    2. ---+-------------------------------------------+-------------------------------------------+-----------+---------------+-----------+--------+--------------------------------------------------------------------------------------+-------
    3. 1 | 11.4 - VideoLan | 11.4 - VideoLan | Ja | Ja | 99 | rpm-md | http://download.videolan.org/pub/videolan/vlc/SuSE/11.4/ |
    4. 2 | Aktualisierungen-für-openSUSE-11.4-11.4-0 | Aktualisierungen für openSUSE 11.4 11.4-0 | Ja | Ja | 99 | rpm-md | http://download.opensuse.org/update/11.4/ |
    5. 3 | KDE:KDE3 | KDE:KDE3 | Ja | Ja | 99 | rpm-md | http://download.opensuse.org/repositories/KDE:/KDE3/openSUSE_11.4/ |
    6. 4 | Mono:Community:Do | Mono:Community:Do | Ja | Ja | 99 | rpm-md | http://download.opensuse.org/repositories/Mono:/Community:/Do/openSUSE_11.4/ |
    7. 5 | Packman Repository | Packman Repository | Ja | Ja | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_11.4/ |
    8. 6 | libdvdcss repository | libdvdcss repository | Ja | Ja | 99 | rpm-md | http://opensuse-guide.org/repo/11.4/ |
    9. 7 | openSUSE-11.4-11.4-0 | openSUSE-11.4-11.4-0 | Ja | Nein | 99 | yast2 | cd:///?devices=/dev/disk/by-id/usb-HLDS_Inc_SuperMulti_RW_00101016400011725,/dev/sr0 |
    10. 8 | repo-debug | openSUSE-11.4-Debug | Nein | Ja | 99 | NONE | http://download.opensuse.org/debug/distribution/11.4/repo/oss/ |
    11. 9 | repo-debug-update | openSUSE-11.4-Update-Debug | Nein | Ja | 99 | NONE | http://download.opensuse.org/debug/update/11.4/ |
    12. 10 | repo-non-oss | openSUSE-11.4-Non-Oss | Ja | Ja | 99 | yast2 | http://download.opensuse.org/distribution/11.4/repo/non-oss/ |
    13. 11 | repo-oss | openSUSE-11.4-Oss | Ja | Ja | 99 | yast2 | http://download.opensuse.org/distribution/11.4/repo/oss/ |
    14. 12 | repo-source | openSUSE-11.4-Source | Nein | Ja | 99 | yast2 | http://download.opensuse.org/source/distribution/11.4/repo/oss/ |
    Alles anzeigen
    Freundliche Grüße
    Janoffel

    Für den Inhalt des Beitrages 33686 haftet ausdrücklich der jeweilige Autor: Janoffel

  • Ich würde hier ein klares Problem zwischen dem Videolan- und Packman-repo sehen.
    Beide zusammen bringen halt solche Probleme.

    Vorschlag:
    Da bei Packman mehr Programme enthalten sind:
    Alle Software, die aus dem Videolan-repo sind auf Packman umstellen und das Videolan-repo löschen.

    Außerdem die Prioritäten mal vernünftig setzen!
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 33687 haftet ausdrücklich der jeweilige Autor: Sauerland

  • Hallo, ich bin so frei und häng mich hier ein,da ich dasselbe Problem habe, außer dass ich nur Packman installiert habe.

    VLC media player 1.1.11 The Luggage (revision exported)
    Speicherzugriffsfehler

    uname -a
    Linux linux-d7dg.site 2.6.37.6-0.7-desktop #1 SMP PREEMPT 2011-07-21 02:17:24 +0200 i686 athlon i386 GNU/Linux

    zypper se -si vlc
    S | Name | Typ | Version | Arch | Repository
    --+-----------------------------+-------+--------------------+------+---------------
    i | libvlc5 | Paket | 1.1.11-1.pm.5.4 | i586 | packman
    i | libvlccore4 | Paket | 1.1.11-1.pm.5.4 | i586 | packman
    i | libvlccore5 | Paket | 1.2.0-2011090401.1 | i586 | (Systempakete)
    i | vlc | Paket | 1.1.11-1.pm.5.4 | i586 | packman
    i | vlc-aout-pulse-debuginfo | Paket | 1.1.11-1.pm.5.4 | i586 | packman
    i | vlc-debuginfo | Paket | 1.1.11-1.pm.5.4 | i586 | packman
    i | vlc-debugsource | Paket | 1.1.11-1.pm.5.4 | i586 | packman
    i | vlc-mozillaplugin-debuginfo | Paket | 1.1.11-1.pm.5.4 | i586 | packman
    i | vlc-noX | Paket | 1.1.11-1.pm.5.4 | i586 | packman
    i | vlc-noX-debuginfo | Paket | 1.1.11-1.pm.5.4 | i586 | packman
    i | vlc-qt | Paket | 1.1.11-1.pm.5.4 | i586 | packman
    i | vlc-qt-debuginfo | Paket | 1.1.11-1.pm.5.4 | i586 | packman

    zypper lr -d
    # | Alias | Name | Aktiviert | Aktualisieren | Priorität | Typ | URI | Dienst
    --+----------------------+----------------------------+-----------+---------------+-----------+--------+-------------------------------------------------------------------------------+-------
    1 | openSUSE-11.4-11.4-0 | openSUSE-11.4-11.4-0 | Ja | Nein | 99 | yast2 | cd:///?devices=/dev/disk/by-id/usb-Slimtype_eTAU108_2_2011041800000001AEF-0:0 |
    2 | openSUSE-11.4_11.4-0 | openSUSE-11.4 11.4-0 | Ja | Nein | 99 | yast2 | dvd:/// |
    3 | packman | packman | Ja | Ja | 99 | rpm-md | ftp.uni-erlangen.de/pub/mirrors/packman/suse/openSUSE_11.4 |
    4 | repo-debug | openSUSE-11.4-Debug | Nein | Ja | 99 | NONE | download.opensuse.org/debug/distribution/11.4/repo/oss/ |
    5 | repo-debug-update | openSUSE-11.4-Update-Debug | Nein | Ja | 99 | NONE | download.opensuse.org/debug/update/11.4/ |
    6 | repo-non-oss | openSUSE-11.4-Non-Oss | Ja | Ja | 99 | yast2 | download.opensuse.org/distribution/11.4/repo/non-oss/ |
    7 | repo-oss | openSUSE-11.4-Oss | Ja | Ja | 99 | yast2 | download.opensuse.org/distribution/11.4/repo/oss/ |
    8 | repo-source | openSUSE-11.4-Source | Nein | Ja | 99 | NONE | download.opensuse.org/source/distribution/11.4/repo/oss/ |
    9 | repo-update | openSUSE-11.4-Update | Ja | Ja | 99 | rpm-md | download.opensuse.org/update/11.4/ |

    eigentlich sollte ich alles richtig gemacht haben, aber VLC startet nicht.

    Für den Inhalt des Beitrages 34192 haftet ausdrücklich der jeweilige Autor: Cliff

  • Brainfuck-Quellcode

    1. zypper se -si vlc
    2. Daten des Repositorys laden ...
    3. Installierte Pakete lesen ...
    4. S | Name | Typ | Version | Arch | Repository
    5. --+--------------------+-------+-----------------+------+-------------------
    6. i | libvlc5 | Paket | 1.1.11-1.pm.5.4 | i586 | Packman Repository
    7. i | libvlccore4 | Paket | 1.1.11-1.pm.5.4 | i586 | Packman Repository
    8. i | phonon-backend-vlc | Paket | 0.3.2-1.pm.6.1 | i586 | Packman Repository
    9. i | vlc | Paket | 1.1.11-1.pm.5.4 | i586 | Packman Repository
    10. i | vlc-mozillaplugin | Paket | 1.1.11-1.pm.5.4 | i586 | Packman Repository
    11. i | vlc-noX | Paket | 1.1.11-1.pm.5.4 | i586 | Packman Repository
    12. i | vlc-qt | Paket | 1.1.11-1.pm.5.4 | i586 | Packman Repository
    Alles anzeigen


    Wie Du siehst kein libvlccore5 | Paket | 1.2.0-2011090401.1 | i586 | (Systempakete) (gibt es bei mir auch gar nicht in den repos, also woher)

    Quellcode

    1. zypper se -s libvlccore5
    2. Daten des Repositorys laden ...
    3. Installierte Pakete lesen ...
    4. Keine Pakete gefunden.


    Zusätzlich:
    i | phonon-backend-vlc | Paket | 0.3.2-1.pm.6.1 | i586 | Packman Repository
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 34193 haftet ausdrücklich der jeweilige Autor: Sauerland

  • Cliff schrieb:

    eigentlich sollte ich alles richtig gemacht haben, aber VLC startet nicht.

    Prioritäten setzen!
    Packman = 50
    Update = 80

    Geht in der Repositoryverwaltung.

    Dann mal ein

    Quellcode

    1. zypper ref

    und

    Quellcode

    1. zypper dup

    als root und alle Abhängigkeitskonflikte auflösen.
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 34194 haftet ausdrücklich der jeweilige Autor: Sauerland

  • Hi, danke erstmal
    ich habe alles erledigt aber wenn ich zypper ref ausführen will brauch ich root-rechte. Wenn ich nach dem Passwort gefragt werde kann ich aber nichts eintippen. Ich habe hier auch kein spezielles Passwort vergeben, nur das bei der Installation.

    bei Update = 80 denke ich ist Suse11.4 Update gemeint oder?

    Für den Inhalt des Beitrages 34195 haftet ausdrücklich der jeweilige Autor: Cliff

  • Cliff schrieb:

    ich habe alles erledigt aber wenn ich zypper ref ausführen will brauch ich root-rechte. Wenn ich nach dem Passwort gefragt werde kann ich aber nichts eintippen. Ich habe hier auch kein spezielles Passwort vergeben, nur das bei der Installation.

    Dann hast Du wohl bei der Installation einen Benutzer mit root Rechten angelegt. Dann sollte es dieses PW sein.

    Für den Inhalt des Beitrages 34196 haftet ausdrücklich der jeweilige Autor: repi

  • Und es werden keine Platzhalter (Sterne oder ähnliches) angezeigt.
    Passwort blind eingeben und Enter.
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 34197 haftet ausdrücklich der jeweilige Autor: Sauerland